using ServerDatabase;
using ServerDatabase.SourceGenerator;

namespace LuskiServer.Classes.TableDef;

public static class Sessions
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<long> User { get; } = new("user");
    public static TableColumn<string> WSSTCP { get; } = new("wsstcp");
    public static TableColumn<string> Token { get; } = new("token");
    public static TableColumn<string> LoginToken { get; } = new("login_token");
    public static TableColumn<long> SessionKey { get; } = new("session_key");
}
[TableRow(typeof(Sessions))]
public partial class SessionsRow
{}
