using JacobTechEncryption.Enums;
using LuskiServer.Enums;
using LuskiServer.Interfaces;

namespace LuskiServer.Classes.WebTypes;

public class UserChannelRequest : IWebResponse
{
    public long id { get; set; }
    public long parent { get; set; }
    public ChannelType type { get; set; }
    public string name { get; set; }
    public string description { get; set; }
    public UserRoleOverideRequest[] role_overides { get; set; }
    public UserPermOverideRequest[] user_overides { get; set; }
    public long title_encryption_key { get; set; }
    public long description_encryption_key { get; set; }
    public bool encoder_blacklist { get; set; }
    public bool encryption_blacklist { get; set; }
    public EncryptionType[] encryption_types { get; set; }
    public EncoderType title_encoder_type { get; set; }
    public EncoderType description_encoder_type { get; set; }
    public EncoderType[] encoder_types { get; set; }
}